### Name: RegressionInterface
### Title: Univariate Regression Modelling
### Aliases: RegressionInterface fREG fREG-class regSim regFit gregFit
###   predict.fREG show.fREG show,fREG-method plot.fREG summary.fREG
###   coef.fREG fitted.fREG residuals.fREG vcov.fREG
### Keywords: models

### ** Examples

## Not run: 
##D ## regFit -
##D    data(recession) 
##D    recession[,1] = paste(recession[,1], "28", sep = "")
##D    
##D ## myPlot -
##D    myPlot = function(recession, in.sample) {
##D      recession = as.timeSeries(recession)[, "recession"]
##D      in.sample = as.timeSeries(recession)[, "recession"]
##D      Date = recession[, "date"]
##D      Date = trunc(Date/100) + (Date-100*trunc(Date/100))/12
##D      Recession = recession[, "recession"]
##D      inSample = as.vector(in.sample)
##D      plot(Date, Recession, type = "n", main = "US Recession")
##D      grid()
##D      lines(Date, Recession, type = "h", col = "steelblue")
##D      lines(Date, inSample) 
##D    }
##D    
##D ## Generalized Additive Modelling:
##D    require(mgcv)
##D    par(mfrow = c(2, 2))
##D    fit = gregFit(formula = recession ~ s(tbills3m) + s(tbonds10y),
##D      family = gaussian(), data = recession, use = "gam")
##D    # In Sample Prediction:
##D    in.sample = predict(fit, newdata = recession)$fit  
##D    myPlot(recession, in.sample)
##D    # Summary:
##D    summary(fit)
##D    # Add plots from the original plot method:
##D    gam.fit = fit@fit
##D    class(gam.fit) = "gam"
##D    plot(gam.fit)
## End(Not run)



